package cn.ey.biz.module.system.convert.field;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldConfigCreateReqVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldConfigExcelVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldConfigRespVO;
import cn.ey.biz.module.system.controller.admin.field.vo.FieldConfigUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.field.FieldConfigDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 字段权限配置 Convert
 *
 */
@Mapper
public interface FieldConfigConvert {

    FieldConfigConvert INSTANCE = Mappers.getMapper(FieldConfigConvert.class);

    FieldConfigDO convert(FieldConfigCreateReqVO bean);

    FieldConfigDO convert(FieldConfigUpdateReqVO bean);

    FieldConfigRespVO convert(FieldConfigDO bean);

    List<FieldConfigRespVO> convertList(List<FieldConfigDO> list);

    PageResult<FieldConfigRespVO> convertPage(PageResult<FieldConfigDO> page);

    List<FieldConfigExcelVO> convertList02(List<FieldConfigDO> list);

}
